import tomlkit

def get_enum(name):
    with open("tt.toml", "r") as f:
        config = tomlkit.load(f)
    
    for enum in config.get("enums", []):
        if enum["name"] == name:
            return {v["value"]: v for v in enum["values"]}

    raise ValueError(f"no such enum! {name}")

STATUSES = get_enum("status")
PROJECTS = get_enum("projects")
